package com.steering.model.qcm;

/**
 * 数据库表QCM_LG_CHEMJUDGE所对应的实体类（生成工具：代码生成工具4.0 访问地址：http://172.16.2.128/tool/）
 * 
 * @author tgcx-test date 2016-09-07
 */
@SuppressWarnings("serial")
public class QcmLgChemjudgeEntity implements java.io.Serializable {
	/**
	 * 成分判定记录ID
	 */
	private String chemJudgeId = "";
	/**
	 * 熔炼炉号
	 */
	private String stoveNo = "";
	/**
	 * 判定炉号
	 */
	private String judgeStoveNo = "";
	/**
	 * 坯料号(材料号)
	 */
	private String matNo = "";
	/**
	 * 产线代码
	 */
	private String plineCode = "";
	/**
	 * 工序代码(A\B\C\D.....)
	 */
	private String processCdoe = "";
	/**
	 * 工序名称
	 */
	private String processDesc = "";
	/**
	 * 计划合同行号
	 */
	private String planOrderno = "";
	/**
	 * 判定合同行号
	 */
	private String judgeOrderno = "";
	/**
	 * 成分判定结果(4074)
	 */
	private String judgeresultChem = "";
	/**
	 * 是否脱单(1：是，0：否)
	 */
	private String orderisunchain = "";
	/**
	 * 成分化验号
	 */
	private String assayno = "";
	/**
	 * 有效标志(1：有效；0：无效)
	 */
	private String validflag = "";
	/**
	 * 备注
	 */
	private String memo = "";
	/**
	 * 判定人
	 */
	private String createName = "";
	/**
	 * 判定时间
	 */
	private String createTime = "";
	/**
	 * 判定申请单号
	 */
	private String jugdeApplyCode = "";
	private String designKey = "";
	private String mscPline = "";
	private String cic = "";
	private String judgeSeq = "";
	private String sampleNo = "";
	private String proPlanId = "";
	private String oldGradecode = "";
	private String oldGradename = "";
	private String oldCic = "";

	/**
	 * 成分判定记录ID
	 * 
	 * @return value
	 */
	public String getChemJudgeId() {
		return chemJudgeId;
	}

	/**
	 * 成分判定记录ID
	 * 
	 * @param chemJudgeId
	 *            value
	 */
	public void setChemJudgeId(String chemJudgeId) {
		this.chemJudgeId = chemJudgeId;
	}

	/**
	 * 熔炼炉号
	 * 
	 * @return value
	 */
	public String getStoveNo() {
		return stoveNo;
	}

	/**
	 * 熔炼炉号
	 * 
	 * @param stoveNo
	 *            value
	 */
	public void setStoveNo(String stoveNo) {
		this.stoveNo = stoveNo;
	}

	/**
	 * 判定炉号
	 * 
	 * @return value
	 */
	public String getJudgeStoveNo() {
		return judgeStoveNo;
	}

	/**
	 * 判定炉号
	 * 
	 * @param judgeStoveNo
	 *            value
	 */
	public void setJudgeStoveNo(String judgeStoveNo) {
		this.judgeStoveNo = judgeStoveNo;
	}

	/**
	 * 坯料号(材料号)
	 * 
	 * @return value
	 */
	public String getMatNo() {
		return matNo;
	}

	/**
	 * 坯料号(材料号)
	 * 
	 * @param matNo
	 *            value
	 */
	public void setMatNo(String matNo) {
		this.matNo = matNo;
	}

	/**
	 * 产线代码
	 * 
	 * @return value
	 */
	public String getPlineCode() {
		return plineCode;
	}

	/**
	 * 产线代码
	 * 
	 * @param plineCode
	 *            value
	 */
	public void setPlineCode(String plineCode) {
		this.plineCode = plineCode;
	}

	/**
	 * 工序代码(A\B\C\D.....)
	 * 
	 * @return value
	 */
	public String getProcessCdoe() {
		return processCdoe;
	}

	/**
	 * 工序代码(A\B\C\D.....)
	 * 
	 * @param processCdoe
	 *            value
	 */
	public void setProcessCdoe(String processCdoe) {
		this.processCdoe = processCdoe;
	}

	/**
	 * 工序名称
	 * 
	 * @return value
	 */
	public String getProcessDesc() {
		return processDesc;
	}

	/**
	 * 工序名称
	 * 
	 * @param processDesc
	 *            value
	 */
	public void setProcessDesc(String processDesc) {
		this.processDesc = processDesc;
	}

	/**
	 * 计划合同行号
	 * 
	 * @return value
	 */
	public String getPlanOrderno() {
		return planOrderno;
	}

	/**
	 * 计划合同行号
	 * 
	 * @param planOrderno
	 *            value
	 */
	public void setPlanOrderno(String planOrderno) {
		this.planOrderno = planOrderno;
	}

	/**
	 * 判定合同行号
	 * 
	 * @return value
	 */
	public String getJudgeOrderno() {
		return judgeOrderno;
	}

	/**
	 * 判定合同行号
	 * 
	 * @param judgeOrderno
	 *            value
	 */
	public void setJudgeOrderno(String judgeOrderno) {
		this.judgeOrderno = judgeOrderno;
	}

	/**
	 * 成分判定结果(4074)
	 * 
	 * @return value
	 */
	public String getJudgeresultChem() {
		return judgeresultChem;
	}

	/**
	 * 成分判定结果(4074)
	 * 
	 * @param judgeresultChem
	 *            value
	 */
	public void setJudgeresultChem(String judgeresultChem) {
		this.judgeresultChem = judgeresultChem;
	}

	/**
	 * 是否脱单(1：是，0：否)
	 * 
	 * @return value
	 */
	public String getOrderisunchain() {
		return orderisunchain;
	}

	/**
	 * 是否脱单(1：是，0：否)
	 * 
	 * @param orderisunchain
	 *            value
	 */
	public void setOrderisunchain(String orderisunchain) {
		this.orderisunchain = orderisunchain;
	}

	/**
	 * 成分化验号
	 * 
	 * @return value
	 */
	public String getAssayno() {
		return assayno;
	}

	/**
	 * 成分化验号
	 * 
	 * @param assayno
	 *            value
	 */
	public void setAssayno(String assayno) {
		this.assayno = assayno;
	}

	/**
	 * 有效标志(1：有效；0：无效)
	 * 
	 * @return value
	 */
	public String getValidflag() {
		return validflag;
	}

	/**
	 * 有效标志(1：有效；0：无效)
	 * 
	 * @param validflag
	 *            value
	 */
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/**
	 * 备注
	 * 
	 * @return value
	 */
	public String getMemo() {
		return memo;
	}

	/**
	 * 备注
	 * 
	 * @param memo
	 *            value
	 */
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/**
	 * 判定人
	 * 
	 * @return value
	 */
	public String getCreateName() {
		return createName;
	}

	/**
	 * 判定人
	 * 
	 * @param createName
	 *            value
	 */
	public void setCreateName(String createName) {
		this.createName = createName;
	}

	/**
	 * 判定时间
	 * 
	 * @return value
	 */
	public String getCreateTime() {
		return createTime;
	}

	/**
	 * 判定时间
	 * 
	 * @param createTime
	 *            value
	 */
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	/**
	 * 判定申请单号
	 * 
	 * @return value
	 */
	public String getJugdeApplyCode() {
		return jugdeApplyCode;
	}

	/**
	 * 判定申请单号
	 * 
	 * @param jugdeApplyCode
	 *            value
	 */
	public void setJugdeApplyCode(String jugdeApplyCode) {
		this.jugdeApplyCode = jugdeApplyCode;
	}
	
	public String getDesignKey() {
		return designKey;
	}

	public void setDesignKey(String designKey) {
		this.designKey = designKey;
	}

	public String getMscPline() {
		return mscPline;
	}

	public void setMscPline(String mscPline) {
		this.mscPline = mscPline;
	}

	public String getCic() {
		return cic;
	}

	public void setCic(String cic) {
		this.cic = cic;
	}
	
	public String getJudgeSeq() {
		return judgeSeq;
	}

	public void setJudgeSeq(String judgeSeq) {
		this.judgeSeq = judgeSeq;
	}
	
	public String getSampleNo() {
		return sampleNo;
	}

	public void setSampleNo(String sampleNo) {
		this.sampleNo = sampleNo;
	}
	
	public String getProPlanId() {
		return proPlanId;
	}

	public void setProPlanId(String proPlanId) {
		this.proPlanId = proPlanId;
	}
	
	public String getOldGradecode() {
		return oldGradecode;
	}

	public void setOldGradecode(String oldGradecode) {
		this.oldGradecode = oldGradecode;
	}

	public String getOldGradename() {
		return oldGradename;
	}

	public void setOldGradename(String oldGradename) {
		this.oldGradename = oldGradename;
	}

	public String getOldCic() {
		return oldCic;
	}

	public void setOldCic(String oldCic) {
		this.oldCic = oldCic;
	}
}
